#ifndef CCHALETMASTERCTRLINTERFACE_H
#define CCHALETMASTERCTRLINTERFACE_H

#include "MasterCtrlInterface.h"
class CChalet;

class CChaletMasterCtrlInterface: public CMasterCtrlInterface
{
public:
    CChaletMasterCtrlInterface(CChalet *ProgramHandle);

    int DeviceFrameReceived(int TargetDeviceID, int TargetDeviceAddress, int SenderID, int SenderAddress, int MessageID, int DataSize, QByteArray Data);
    int DeviceConnectedToMaster(bool Connected = true);

private:
    CChalet *mProgramHandle;
};

#endif // CCHALETMASTERCTRLINTERFACE_H
